<div class="search-result-item d-flex" ...attributes {{did-insert this.setup}} {{did-update this.setup @value}}>
  {{#if @value.cover}}
    <div class="flex-grow-0 flex-shrink-0 cover rounded-3 me-2">
      <PictureWithOptions class="cover" @src={{@value.cover.picture}} @name={{@value.cover.name}} @hash={{@value.cover.hash}} @options={{this.coverValue}} />
    </div>
  {{/if}}

  {{#if (and (eq @value.relatedModel "Icon") this.record.image)}}
    <div class="flex-grow-0 flex-shrink-0 cover-icon rounded-3 me-2">
      <PictureWithOptions class="cover-icon" @src={{this.icon.image.value}} />
    </div>
  {{/if}}

  <div>
    <h3 class="text-blue-800">
      {{#if this.link}}
        <Link @to={{this.link}} {{on "click" this.click}}>
          {{this.title}}
        </Link>
      {{else}}
        {{this.title}}
      {{/if}}
    </h3>

    <p class="text-gray-900">{{this.description}}</p>

    {{#if this.featureLink}}
      <Link @to={{this.featureLink}} {{on "click" this.click}} class="p-0 btn btn-link btn-view-feature-article">
        {{capitalize (t "read article")}}
      </Link>
    {{/if}}

    {{#if (and this.featureLink this.mapLink)}}
      |
    {{/if}}

    {{#if this.mapLink}}
      <Link @to={{this.mapLink}} {{on "click" this.click}} class="p-0 btn btn-link btn-view-feature-map">
        {{capitalize (t "view on map")}}
      </Link>
    {{/if}}
  </div>
</div>